Manual do PHP
Anterior |  | Próxima

# constant

(PHP 4 >= 4.0.4, PHP 5)

constant -- Retorna o valor de uma constante

## Descrição

mixed constant ( string name )

A função constant() irá retornar o valor de uma constante indicada pelo parâmetro `name`.

A função constant() é útil se você precisa pegar o valor de uma constante, mas não sabe o seu nome. Ex: esta guardada em uma variável ou é retornada por uma função.

Exemplo 1. Exemplo constant()
`<?php define("MAXSIZE", 100); echo MAXSIZE; echo constant("MAXSIZE"); // mesma coisa que a linha anterior ?>`

Veja também define(), defined() e a seção sobre Constantes.

Anterior | Principal | Próxima
connection_timeout | Acima | define